/*
 * @Author: mojunshou 1637302775@qq.com
 * @Date: 2025-03-20 17:53:50
 * @LastEditors: mojunshou 1637302775@qq.com
 * @LastEditTime: 2025-03-28 15:16:02
 * @Description: 红包提现
 */
import { _decorator } from "cc";
import { oops } from "db://oops-framework/core/Oops";
import { ecs } from "db://oops-framework/libs/ecs/ECS";
import { CCComp } from "db://oops-framework/module/common/CCComp";
import { UIID } from "../../common/config/GameUIConfig";

const { ccclass, property } = _decorator;

/** 视图层对象 */
@ccclass('RedEnvelopeWithdrawalViewComp')
@ecs.register('RedEnvelopeWithdrawalView', false)
export class RedEnvelopeWithdrawalViewComp extends CCComp {
    /** 视图层逻辑代码分离演示 */
    start() {
        // const entity = this.ent as ecs.Entity;         // ecs.Entity 可转为当前模块的具体实体对象
        this.setButton();
    }

    /** 视图对象通过 ecs.Entity.remove(RedEnvelopeWithdrawalViewComp) 删除组件是触发组件处理自定义释放逻辑 */
    reset() {
        this.node.destroy();
    }

    private btn_back() {
        oops.gui.remove(UIID.RedPacketWithdraw);
    }


    private btn_record() {
        oops.gui.open(UIID.WithdrawRecord);
    }
}